// eslint-disable-next-line
import { UserLayout, BasicLayout, BlankLayout } from '@/layouts'
import { bxAnaalyse } from '@/core/icons'

const RouteView = {
  name: 'RouteView',
  render: h => h('router-view')
}

export const asyncRouterMap = [
  {
    path: '/',
    name: 'index',
    component: BasicLayout,
    meta: { title: 'menu.home' },
    redirect: '/tasks/myday',
    children: [
      // 个人任务清单
      {
        path: '/tasks/myday',
        name: 'myday',
        component: () => import('@/views/task/personal/OneDayForMe'),
        meta: { title: 'menu.tasks.myday', icon: 'flag' }
      },
      {
        path: '/tasks/important',
        name: 'important',
        component: () => import('@/views/task/personal/Important'),
        meta: { title: 'menu.tasks.important', icon: 'star' }
      },
      {
        path: '/tasks/inside_the_plan',
        name: 'inside_the_plan',
        component: () => import('@/views/task/personal/InsideThePlan'),
        meta: { title: 'menu.tasks.inside_the_plan', icon: 'calendar' }
      },
      {
        path: '/tasks/assigned_to_me',
        name: 'assigned_to_me',
        component: () => import('@/views/task/personal/AssignedToMe'),
        meta: { title: 'menu.tasks.assigned_to_me', icon: 'user' }
      },
      {
        path: '/tasks/mytask',
        name: 'mytask',
        component: () => import('@/views/task/personal/MyTask'),
        meta: { title: 'menu.tasks.mytask', icon: 'alert' }
      },

      // 项目管理部分
      // {
      //   path: '/project/weeklyplan',
      //   name: 'weeklyplan',
      //   component: () => import(/* webpackChunkName: "fail" */ '@/views/task/project/WeeklyPlan'),
      //   meta: { title: '', icon: 'tag' }
      // },
      // {
      //   path: '/project/monthlyplan',
      //   name: 'monthlyplan',
      //   component: () => import(/* webpackChunkName: "fail" */ '@/views/task/project/MonthlyPlan'),
      //   meta: { title: 'menu.exception', icon: 'tags' }
      // }
    ]
  },
  {
    path: '*',
    redirect: '/404',
    hidden: true
  }
]

/**
 * 基础路由
 * @type { *[] }
 */
export const constantRouterMap = [
  {
    path: '/user',
    component: UserLayout,
    redirect: '/user/login',
    hidden: true,
    children: [
      {
        path: 'login',
        name: 'login',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/Login')
      },
      {
        path: 'register',
        name: 'register',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/Register')
      },
      {
        path: 'register-result',
        name: 'registerResult',
        component: () => import(/* webpackChunkName: "user" */ '@/views/user/RegisterResult')
      },
      {
        path: 'recover',
        name: 'recover',
        component: undefined
      }
    ]
  },

  {
    path: '/404',
    component: () => import(/* webpackChunkName: "fail" */ '@/views/exception/404')
  }
]
